import 'package:flutter/widgets.dart';
import 'package:sunny_forms/sunny_colors.dart';

Widget sunnyCellTop(Widget child) {
  return Container(padding: SunnyMargins.listItemPadding, child: child);
}

Widget sunnyCellBottom(Widget child) {
  return Container(padding: SunnyMargins.listItemPadding, child: child);
}

const tenPxRadius = BorderRadius.only(
  topLeft: Radius.circular(10.0),
  topRight: Radius.circular(10.0),
  bottomRight: Radius.circular(10.0),
  bottomLeft: Radius.circular(10.0),
);
