import 'package:dartxx/dartxx.dart';

const contactProfileButton = "contact-profile-button";
const sunnyActionButton = "sunny-action-button";
const sunnyActionInput = "sunny-action-input";
const sunnyActionInputContainer = "sunny-action-input-container";

String packSummaryThreadListKey(String id) {
  return "pack-summary-bundle-$id";
}

class PackSummaryPageKeys {
  PackSummaryPageKeys._();
  static const contactsMenuButton = "contacts-menu-button";
}

class ContactListPageKeys {
  ContactListPageKeys._();
  static const hamburgerMenu = "contactListPageOptions";
  static const searchInput = "contactListPageSearch";
}

class ContactProfilePageKeys {
  ContactProfilePageKeys._();

  static const favoriteIcon = "favoriteKey";
}

class SunnyActionPageKeys {
  static const commandSuggestionsSemantics = "commandSuggestions";
  static const addContactPage = "add_contact_command";
}

String sunnyFieldContainerKey(JsonPath path) {
  return "sunnyForm-fieldContainer-${path.toKey()}";
}

String sunnyLegacyFieldContainerKey(JsonPath path) {
  return "$path-input";
}

String sunnyFieldErrorKey(JsonPath path) {
  return "sunnyForm-fieldError-${path.toKey()}";
}

String sunnyFieldLabelKey(JsonPath path) {
  return "sunnyForm-fieldLabel-${path.toKey()}";
}
