import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:sunny_platform_widgets/sunny_platform_widgets.dart';
import 'package:sunny_forms/sunny_colors.dart';

class PlatformLabel extends StatelessWidget {
  final String text;
  final Color? color;

  const PlatformLabel(this.text, {Key? key, this.color}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return PlatformText(text,
        style: SunnyTextStyles.tabBarLabel.copyWith(color: color));
  }
}
