import 'package:flutter/widgets.dart';

class Underflow extends StatelessWidget {
  final Widget? leading;
  final Widget? trailing;

  const Underflow({Key? key, this.leading, this.trailing}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    if (trailing == null) return leading!;
    return Row(
      mainAxisAlignment: MainAxisAlignment.spaceBetween,
      mainAxisSize: MainAxisSize.max,
      crossAxisAlignment: CrossAxisAlignment.center,
      children: [
        Expanded(child: leading!),
        IntrinsicWidth(child: trailing),
      ],
    );
  }
}
