import 'package:flexidate/flexidate.dart';
import 'package:sunny_service_stubs/models.dart';

class SmartDateExts {}

extension SmartDateExt on ISmartDate {
  TimeSpan toTimeSpan() {
    final timeUnit = relativeDate?.timeUnit;
    final eventName = relativeDate?.eventName;
    final parsedTimeUnit = timeSpanUnitOf(timeUnit);
    final field = eventName != null
        ? TimeSpanUnit.year
        : parsedTimeUnit ?? TimeSpanUnit.year;
    return TimeSpan.ofSingleField(field, this.relativeDate?.amount ?? 1);
  }
}
// }
