import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:sunny_dart/sunny_dart.dart';
import 'package:sunny_forms/sunny_colors.dart';
import 'package:sunny_forms/sunny_fieldset.dart';
import 'package:sunny_forms/sunny_form_controller.dart';

import '../standard_column.dart';

@deprecated
class SunnyForm2 extends StatelessWidget {
  final String name;
  final FormController form;
  final Iterable<SunnyFieldset> fieldsets;
  final bool embed;

  SunnyForm2(
    this.name, {
    Key? key,
    required this.form,
    this.embed = false,
    required this.fieldsets,
  }) : super(key: key);

  SunnyForm2.simple(
    this.name, {
    Key? key,
    required this.form,
    this.embed = false,
    required List<Widget> fields,
  })   : fieldsets = [
          SunnyFieldset(
            children: fields,
          )
        ],
        super(key: key);

  String? resolveLabel(SunnyIntl intl, JsonPath? attribute) {
    if (attribute == null) return null;
    return intl.message("${name}${capitalize(attribute.toKey())}Label");
  }

  String? resolvePlaceholder(SunnyIntl intl, JsonPath? attribute) {
    if (attribute == null) return null;
    return intl.message("${name}${capitalize(attribute.toKey())}Placeholder");
  }

  @override
  Widget build(BuildContext context) {
    // Maybe this could/should display submit button and handle submission state
    return column([
      ...fieldsets.map((fieldSet) {
        return Container(
          child: fieldSet,
          margin: SunnyMargins.bottom,
          padding: embed ? SunnyMargins.zero : SunnyMargins.horiz,
        );
      })
    ]);
  }
}
