import 'package:sunny_forms/standard_column.dart';
import 'package:sunny_sdk_core/api/api_exceptions.dart';

typedef LocalizedLabel = String Function(SunnyIntl? intl);
typedef ValidatorFn<T> = String? Function(T value);
typedef FormConverter<T> = T? Function(dynamic input);
typedef OnValidationError = void Function(ValidationError e);
typedef OnSubmit<T> = Future Function(T value);
