import 'package:flutter/cupertino.dart';
import 'package:sunny_essentials/sunny_essentials.dart';

class SunnyFormTheme {
  final bool starForRequiredFields;
  final bool adaptive;

  const SunnyFormTheme(
      {this.starForRequiredFields = true, this.adaptive = false});

  static SunnyFormTheme of(BuildContext context) {
    final SunnyFormTheme? theme = Provided.find(context);
    return theme ?? const SunnyFormTheme();
  }
}
