import 'package:flutter/cupertino.dart';

class LabelAndText extends StatelessWidget {
  final String label;
  final String text;

  const LabelAndText({Key? key, required this.label, required this.text})
      : super(key: key);
  @override
  Widget build(BuildContext context) {
    return Row(crossAxisAlignment: CrossAxisAlignment.start, children: [
      Text(
        "$label: ",
        style: TextStyle(fontWeight: FontWeight.bold),
        softWrap: false,
      ),
      Flexible(
          child: Text(
        text,
        softWrap: true,
      )),
    ]);
  }
}
