import 'package:flutter/widgets.dart';
import 'package:sunny_essentials/state.dart';

import 'muse_common.dart';

class MusePlayer {}

class Muse extends StatefulWidget {
  final String museId;
  final double width;
  final int start;

  const Muse(
      {Key? key, required this.museId, this.start = 0, required this.width})
      : super(key: key);

  factory Muse.ofUrl(String url, {required double width}) {
    final args = MuseArgs.ofUri(url);
    return Muse(
      museId: args.museId,
      width: width,
      start: args.start,
    );
  }

  @override
  _MuseState createState() => _MuseState();
}

class _MuseState extends BaseState<Muse> {
  String get elementId => 'muse-${widget.museId}-${widget.width}';

  @override
  Widget build(BuildContext context) {
    return Container();
  }
}

// class _MuseState extends State<Muse> {
//   Future<MusePlayer> loadMuseVideo(String museId, double width) async {
//
//   }
//
//   Widget museWidget(String museId, double width) {
//     return HtmlElementView(
//       data: '<div id="muse_${museId}">Loading muse video...</div>',
//       key: Key("muse_${museId}"),
//     );
//   }
//
//   @override
//   Widget build(BuildContext context) {
//     return
//   }
// }

// class Muse
