import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:sunny_platform_widgets/sunny_platform_widgets.dart';

/// I think the CupertinoPage has a setting for this
/// todo: delete if possible
class PlatformScrollBottomPadding extends PlatformWidgetBase {
  final Widget? child;
  final double height;

  PlatformScrollBottomPadding({this.height = 40, this.child, Key? key})
      : super(key: key);

  @override
  Widget createMaterialWidget(BuildContext context) {
    return child ?? Container();
  }

  @override
  Widget createCupertinoWidget(BuildContext context) {
    return Container(height: height, child: child);
  }
}

/// I think the CupertinoPage has a setting for this
/// todo: delete if possible
class PlatformFloatingDockPadding extends PlatformWidgetBase {
  final Widget? child;

  PlatformFloatingDockPadding({this.child, Key? key}) : super(key: key);

  @override
  Widget createMaterialWidget(BuildContext context) {
    return child ?? Container();
  }

  @override
  Widget createCupertinoWidget(BuildContext context) {
    return Container(margin: EdgeInsets.only(bottom: 69), child: child);
  }
}

const kCupertinoTabBarHeight = 50;
