import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:sunny_forms/standard_column.dart';
import 'package:sunny_forms/sunny_colors.dart';
// import 'package:sunny_flutter/theme/sunny_colors.dart';
// import 'package:sunny_flutter/widgets/containers/standard_column.dart';

/// Contains a set of fields
class SunnyFieldset extends StatelessWidget {
  final List<Widget>? children;
  final bool embed;

  const SunnyFieldset({Key? key, this.embed = false, this.children})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    /// Any styles, separators applied to form fields
    return column(children!.map((child) {
      return Padding(
        padding: embed ? SunnyMargins.bottom : SunnyMargins.top_bottom,
        child: child,
      );
    }));
  }
}
